#import "../fragments/scan_policy_source.fragment.graphql"
#import "../fragments/policy_scope.fragment.graphql"

query groupPipelineExecutionPolicies(
  $fullPath: ID!
  $relationship: SecurityPolicyRelationType = INHERITED
) {
  namespace: group(fullPath: $fullPath) {
    id
    pipelineExecutionPolicies(relationship: $relationship) {
      nodes {
        name
        yaml
        editPath
        policyBlobFilePath
        enabled
        policyScope {
          ...PolicyScope
        }
        source {
          ...SecurityPolicySource
        }
        updatedAt
      }
    }
  }
}
